- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Mers::Interfaces::TimedTask Class Reference

`#include <TimedTask.h>`

Inheritance diagram for Mers::Interfaces::TimedTask:

[legend]
Collaboration diagram for Mers::Interfaces::TimedTask:

[legend]
List of all members.

## Public Member Functions
| TimedTask (const std::string &taskName, Mers::Utils::Lang::Time const &start, Mers::Utils::Lang::Time const &duration)
| TimedTask (const std::string &taskName, std::vector< std::string * > const &parameters, Mers::Utils::Lang::Time const &start, Mers::Utils::Lang::Time const &duration)
| TimedTask (TimedTask const &other)
TimedTask & | operator= (TimedTask const &other)
virtual | ~TimedTask ()

## Detailed Description

- absPD: absolute time probability distribution ( temp hack to use probility simulator )

- durPD: duration probability distribution ( this is how we should do it )

Definition at line 38 of file TimedTask.h.

## Constructor & Destructor Documentation

Mers::Interfaces::TimedTask::TimedTask | ( | const std::string & | taskName,
|  | Mers::Utils::Lang::Time const & | start,
|  | Mers::Utils::Lang::Time const & | duration |
| ) |  |  |

Creates a new, parameterless TimedTask

Parameters:

  | taskID | The identifier of this task, which should be unique to this task name.
  | taskName | The name of the task that should be executed.
  | start | The time at which the task started or starts.
  | duration | The duration of the task.

Mers::Interfaces::TimedTask::TimedTask | ( | const std::string & | taskName,
|  | std::vector< std::string * > const & | parameters,
|  | Mers::Utils::Lang::Time const & | start,
|  | Mers::Utils::Lang::Time const & | duration |
| ) |  |  |

Creates a new, parameterized TimedTask.

Parameters:

  | taskID | The identifier of this task, which should be unique to this task name.
  | taskName | The name of the task that should be executed.
  | parameters | The list of parameters associated with this task.
  | start | The time at which the task started or starts.
  | duration | The duration of the task.

Mers::Interfaces::TimedTask::TimedTask | ( | TimedTask const & | other | ) |

Creates a copy of the TimedTask - the two tasks are equivalent with equal identifiers.

Parameters:

  | other | The object being used to initialize this object.

virtual Mers::Interfaces::TimedTask::~TimedTask | ( |  | ) | `[virtual]`

Destroys this object.

## Member Function Documentation

TimedTask& Mers::Interfaces::TimedTask::operator= | ( | TimedTask const & | other | ) |

Copies the contents of the other TimedTask into this object, making this object equivalent to the other object, including its identifier.

Parameters:

  | other | The object being used to initialize this object.

Returns:
  A reference to this object.

The documentation for this class was generated from the following file:

- /Users/fpy/titan-1-5-MBARI/Mers/Interfaces/TimedTask.h